Package ru.bitel.bgbilling.kernel.contract.object.common.bean

# Class ObjectParameterGroupAttr

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractSpecAttr
ru.bitel.bgbilling.kernel.contract.object.common.bean.ObjectParameterGroupAttr

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ObjectParameterGroupAttr extends AbstractSpecAttr

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectParameterGroupAttr()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ObjectParameterGroupAttr`
  `setComment(String comment)`
  `ObjectParameterGroupAttr`
  `setHistory(boolean history)`
  `ObjectParameterGroupAttr`
  `setId(int id)`
  Устанавливает id объекта
  `ObjectParameterGroupAttr`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `ObjectParameterGroupAttr`
  `setType(int type)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractSpecAttr

  `getComment, getType, getTypeName, getTypeName, isHistory, toTypeMap`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ObjectParameterGroupAttr

    public ObjectParameterGroupAttr()

- ## Method Details

  - ### setId

    public ObjectParameterGroupAttr setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public ObjectParameterGroupAttr setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setType

    public ObjectParameterGroupAttr setType(int type)
    Overrides:
      `setType` in class `AbstractSpecAttr`

  - ### setComment

    public ObjectParameterGroupAttr setComment(String comment)
    Overrides:
      `setComment` in class `AbstractSpecAttr`

  - ### setHistory

    public ObjectParameterGroupAttr setHistory(boolean history)
    Overrides:
      `setHistory` in class `AbstractSpecAttr`